MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends
sc::DistDiagSCMatrix Class Reference
Inheritance diagram for sc::DistDiagSCMatrix:

List of all members.

## Public Member Functions

| DistDiagSCMatrix (const RefSCDimension &, DistSCMatrixKit *)
double | get_element (int) const
| Return or modify an element.
void | set_element (int, double)
void | accumulate_element (int, double)
void | accumulate (const DiagSCMatrix *)
| Sum m into this.
double | invert_this ()
| Invert this.
double | determ_this ()
| Return the determinant of this. this is overwritten.
double | trace ()
| Return the trace.
void | gen_invert_this ()
| Do a generalized inversion of this.
void | element_op (const Ref< SCElementOp > &)
| Perform the element operation op on each element of this.
void | element_op (const Ref< SCElementOp2 > &, DiagSCMatrix *)
void | element_op (const Ref< SCElementOp3 > &, DiagSCMatrix *, DiagSCMatrix *)
Ref< SCMatrixSubblockIter > | local_blocks (SCMatrixSubblockIter::Access)
| Returns iterators for the local (rapidly accessible) blocks used in this matrix.
Ref< SCMatrixSubblockIter > | all_blocks (SCMatrixSubblockIter::Access)
| Returns iterators for the all blocks used in this matrix.
Ref< DistSCMatrixKit > | skit ()

## Protected Member Functions

void | init_blocklist ()
double * | find_element (int i) const
int | element_to_node (int i) const
int | block_to_node (int) const
Ref< SCMatrixBlock > | block_to_block (int) const
void | error (const char *msg)

## Protected Attributes

Ref< SCMatrixBlockList > | blocklist

## Friends

class | DistSCMatrix
class | DistSymmSCMatrix
class | DistSCVector

## Member Function Documentation

Ref<SCMatrixSubblockIter> sc::DistDiagSCMatrix::local_blocks | ( | SCMatrixSubblockIter::Access |  | ) | `[virtual]`

Returns iterators for the local (rapidly accessible) blocks used in this matrix.

Implements sc::DiagSCMatrix.

The documentation for this class was generated from the following file:

- dist.h